
//Function to build User Interface
{
function buildUI(thisObj)
{
var pal=(thisObj instanceof Panel)?thisObj:new Window("palette",CenionCoverter,[100,100,480,245],{resizeable:true});
if(pal==null) 
return pal;
else
{
pal.adjRd=pal.add("radiobutton",[15,15,250,35],"Add Adjustment Layer and Apply Effect to It");
pal.applRd=pal.add("radiobutton",[15,40,250,60],"Apply Effect to Selected Layers");
pal.log2Lin=pal.add("button",[15,75,80,100],"Log2Linear");
pal.lin2Log=pal.add("button",[85,75,155,100],"Linear2Log");
pal.helpBtn=pal.add("button",[160,75,220,100],"Help");
pal.helpBtn.onClick = function () 
				{alert("     'CenionConverter2' by Manohar (Digiquest Studio - Hyderabad), April 2010.\n\n\n"+
					   "1. This Script is the next version of the previous script CenionConverter..\n"+ 
                       "     Using this, you can get an Adjustment Layer with CenionConverter Effect applied to it \n"+					   
					   "     [OR] It applies the effect to selected layers... by selecting the choice buttons.\n"+
					   "     Cineon Converter effect applied with the values of Gamma = 2 and Highlight Rolloff = 20 \n\n"+
					      
                       
                       "2.  If you want Log to Linear in the 'Cenion Converter' Effect then click the button 'Log2Linear' \n"+ 
                       "     If you want Linear to Log in the 'Cenion Converter' Effect then click the button 'Linear2Log' \n","www.myaescripts.blogspot.com");}
pal.log2Lin.onClick=function(){alert("Select any one option from above","www.myaescripts.blogspot.com");}
pal.lin2Log.onClick=function(){alert("Select any one option from above","www.myaescripts.blogspot.com");}
pal.adjRd.onClick=function()
{
pal.log2Lin.onClick=onDoItClick1;
pal.lin2Log.onClick=onDoItClick2;
}
pal.applRd.onClick=function()
{
pal.log2Lin.onClick=applyEfct1;
pal.lin2Log.onClick=applyEfct2;
}

return pal;					   
}
}

function onDoItClick1()
{
var activeItem = app.project.activeItem;
	if (activeItem == null || !(activeItem instanceof CompItem)){
	    alert("Please establish a comp as the active item and run the script again","www.myaescripts.blogspot.com");
	} else {

		// By bracketing the operations with begin/end undo group, we can 
		// undo the whole script with one undo operation.
		app.beginUndoGroup("Cineon Adjust");

		var activeComp = activeItem;

		var solidName = "log2lin";
		var solidW = activeComp.width;
		var solidH = activeComp.height;
		var solidPixelAspectRatio = activeComp.pixelAspect;
		var solidDuration = activeComp.duration;

		var adjLayer = activeComp.layers.addSolid([1, 1, 1], solidName, solidW, solidH, solidPixelAspectRatio, solidDuration);

		// apply Cineon Converter.
		
		var cineon = adjLayer.Effects.addProperty("ADBE Cineon Converter");

		// Set Values
		cineon.property("ADBE Cineon Converter-0006").setValue(2);
        cineon.property("ADBE Cineon Converter-0007").setValue(20);

		adjLayer.adjustmentLayer = true;
		adjLayer.guideLayer = false;
		adjLayer.moveToBeginning();

		app.endUndoGroup();
	}
}

function onDoItClick2()
{
var activeItem = app.project.activeItem;
	if (activeItem == null || !(activeItem instanceof CompItem)){
	    alert("Please establish a comp as the active item and run the script again","www.myaescripts.blogspot.com");
	} else {

		// By bracketing the operations with begin/end undo group, we can 
		// undo the whole script with one undo operation.
		app.beginUndoGroup("Cineon Adjust");

		var activeComp = activeItem;

		var solidName = "lin2log";
		var solidW = activeComp.width;
		var solidH = activeComp.height;
		var solidPixelAspectRatio = activeComp.pixelAspect;
		var solidDuration = activeComp.duration;

		var adjLayer = activeComp.layers.addSolid([1, 1, 1], solidName, solidW, solidH, solidPixelAspectRatio, solidDuration);

		// apply Cineon Converter.
		
		var cineon = adjLayer.Effects.addProperty("ADBE Cineon Converter");

		// Set Values
		// 
		cineon.property("ADBE Cineon Converter-0001").setValue(2);
		cineon.property("ADBE Cineon Converter-0006").setValue(2);
        cineon.property("ADBE Cineon Converter-0007").setValue(20);
		
		adjLayer.adjustmentLayer = true;
		adjLayer.guideLayer = false;
		adjLayer.moveToBeginning();

		app.endUndoGroup();
	}
}//function end

function applyEfct1()
{

var proj = app.project;
	var undoStr = "Off Effects";

	if (proj)
	{
		var myComp = app.project.activeItem;
		if (myComp != null && (myComp instanceof CompItem))
		{
			app.beginUndoGroup(undoStr);
			var myLayers = myComp.selectedLayers;
			if(myLayers.length==0)
			alert("Please select atleast ONE layer to apply effect","www.myaescripts.blogspot.com");
			for (i=0; i <= myLayers.length-1; i++)
			{
				curLayer = myComp.layer(myLayers[i].index)
				var cineon = curLayer.Effects.addProperty("ADBE Cineon Converter");
				// Set Values
		       cineon.property("ADBE Cineon Converter-0006").setValue(2);
                cineon.property("ADBE Cineon Converter-0007").setValue(20);
				
			}
			alert("Log to Linear Applied to "+(myLayers.length)+" Layer(s)","www.myaescripts.blogspot.com");
			app.endUndoGroup();
		} else {
			alert("Please select an active comp to use this script","www.myaescripts.blogspot.com");
		}
	}
	else
	{
		alert("Please open a project first to use this script.","www.myaescripts.blogspot.com");
	}

}


function applyEfct2()
{

var proj = app.project;
	var undoStr = "Off Effects";

	if (proj)
	{
		var myComp = app.project.activeItem;
		if (myComp != null && (myComp instanceof CompItem))
		{
			app.beginUndoGroup(undoStr);
			var myLayers = myComp.selectedLayers;
			if(myLayers.length==0)
			alert("Please select atleast ONE layer to apply effect","www.myaescripts.blogspot.com");
			for (i=0; i <= myLayers.length-1; i++)
			{
				curLayer = myComp.layer(myLayers[i].index)
				var cineon = curLayer.Effects.addProperty("ADBE Cineon Converter");
				// Set Values
		        cineon.property("ADBE Cineon Converter-0001").setValue(2);
			   cineon.property("ADBE Cineon Converter-0006").setValue(2);
                cineon.property("ADBE Cineon Converter-0007").setValue(20);
                
			}
			alert("Linear to Log Applied to "+(myLayers.length)+" Layer(s)","www.myaescripts.blogspot.com");
			app.endUndoGroup();
		} else {
			alert("Please select an active comp to use this script","www.myaescripts.blogspot.com");
		}
	}
	else
	{
		alert("Please open a project first to use this script.","www.myaescripts.blogspot.com");
	}

}

///////////////////////////////////////////////////////////////////////////////////////////////
/// build the user interface
var userinterface = buildUI(this);
if ((userinterface != null) && (userinterface instanceof Window))
userinterface.show();

}
